<?php

namespace Drupal\domain_menus\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Entity\EntityInterface;
use Drupal\domain_menus\DomainMenusListBuilder;

/**
 * Class DomainMenusController.
 */
class DomainMenusController extends ControllerBase {

  /**
   * List menus.
   */
  public function listMenus() {
    $entity_type = \Drupal::entityTypeManager()->getDefinition('menu');
    $entity_storage = \Drupal::entityTypeManager()->getStorage('menu');
    $menu_list = new DomainMenusListBuilder($entity_type, $entity_storage);
    $build = $menu_list->render();
    return $build;
  }

}
